Subject: [PATCH] [RFC] pinctrl: add a driver for Energy Micro's efm32 SoCs

From: [email-masked] (Arnd Bergmann)
Date: Fri, 9 Dec 2011 13:55:16 +0000

On Friday 09 December 2011, Uwe Kleine-K?nig wrote:
> On Thu, Dec 08, 2011 at 11:55:53PM +0100, Arnd Bergmann wrote:
> > On Thursday 08 December 2011 23:40:57 Uwe Kleine-K?nig wrote:
> > > Signed-off-by: Uwe Kleine-K?nig <[email-masked]>
> > > ---
> > > Note that there is no support yet for efm32 in mainline, so ARCH_EFM32
> > > isn't defined.
> > 
> > Since the platform is not yet part of the architecture, it will have
> > to use device tree based probing when it gets added. I would suggest
> > only merging drivers for it that can deal with this and do not rely
> > on platform_data.
>
> I feared you will say that. These machines have at most 4MiB of RAM.
> I'll have to evaluate if dt is too heavy for them.

What's the state of the platform code? Is this based on Catalin's
Cortex-M3 tree? I've heard a few people express interest in getting
various M3 based SoCs supported mainline and I think that would
be a good idea, but I would also expect that device tree is one
of the lesser problems here.

	Arnd